package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussFans implements Serializable {
    private Integer id;

    private String userid;

    private String logo;

    private String nickname;

    private Double consummoney;

    private String merchantcode;

    private String merchantname;

    private String lastmerchantcode;

    private String sharemoney;

    private String consumaddress;

    private Date consumtime;

    private Date lastconsumtime;

    private String ordernumber;

    private String lastordernumber;

    private Date createdt;

    private String payway;

    private String isuse;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname == null ? null : nickname.trim();
    }

    public Double getConsummoney() {
        return consummoney;
    }

    public void setConsummoney(Double consummoney) {
        this.consummoney = consummoney;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getLastmerchantcode() {
        return lastmerchantcode;
    }

    public void setLastmerchantcode(String lastmerchantcode) {
        this.lastmerchantcode = lastmerchantcode == null ? null : lastmerchantcode.trim();
    }

    public String getSharemoney() {
        return sharemoney;
    }

    public void setSharemoney(String sharemoney) {
        this.sharemoney = sharemoney == null ? null : sharemoney.trim();
    }

    public String getConsumaddress() {
        return consumaddress;
    }

    public void setConsumaddress(String consumaddress) {
        this.consumaddress = consumaddress == null ? null : consumaddress.trim();
    }

    public Date getConsumtime() {
        return consumtime;
    }

    public void setConsumtime(Date consumtime) {
        this.consumtime = consumtime;
    }

    public Date getLastconsumtime() {
        return lastconsumtime;
    }

    public void setLastconsumtime(Date lastconsumtime) {
        this.lastconsumtime = lastconsumtime;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getLastordernumber() {
        return lastordernumber;
    }

    public void setLastordernumber(String lastordernumber) {
        this.lastordernumber = lastordernumber == null ? null : lastordernumber.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getPayway() {
        return payway;
    }

    public void setPayway(String payway) {
        this.payway = payway == null ? null : payway.trim();
    }

    public String getIsuse() {
        return isuse;
    }

    public void setIsuse(String isuse) {
        this.isuse = isuse == null ? null : isuse.trim();
    }
}